<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<OutputType>WinExe</OutputType>
		<TargetFramework>net8.0-windows</TargetFramework>
		<Nullable>enable</Nullable>
		<ImplicitUsings>enable</ImplicitUsings>
		<UseWPF>true</UseWPF>
	</PropertyGroup>

	<ItemGroup>
		<None Update="Resources\sleep.jpg">
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</None>
		<None Update="Resources\sleep2.jpg">
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</None>
		<None Update="Resources\sleep3.jpg">
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</None>
		<None Update="Resources\sleep4.jpg">
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</None>
	</ItemGroup>

	<ItemGroup>
		<PackageReference Include="EPPlus" Version="5.8.11" />
		<PackageReference Include="NModbus4.NetCore" Version="3.0.0" />
		<PackageReference Include="OxyPlot.WPF" Version="2.2.0" />
		<PackageReference Include="SunnyUI" Version="3.8.7" />
		<PackageReference Include="SunnyUI.Common" Version="3.8.7" />
		<PackageReference Include="System.Data.SQLite.Core" Version="1.0.119" />
		<PackageReference Include="System.IO.Ports" Version="9.0.7" />
		<FrameworkReference Include="Microsoft.WindowsDesktop.App.WindowsForms" />
	</ItemGroup>

	<ItemGroup>
		<Compile Update="ReportWindow6.xaml.cs">
			<SubType>Code</SubType>
		</Compile>
		<Compile Update="ReportWindow5.xaml.cs">
			<SubType>Code</SubType>
		</Compile>
		<Compile Update="ReportWindow4.xaml.cs">
			<SubType>Code</SubType>
		</Compile>
		<Compile Update="ReportWindow3.xaml.cs">
			<SubType>Code</SubType>
		</Compile>
		<Compile Update="ReportWindow2.xaml.cs">
			<SubType>Code</SubType>
		</Compile>
	</ItemGroup>

</Project>